# VPS set up playbooks

Contains ansible playbooks to set up VPS instances.

## Requirements

A virtual host installed with Ubuntu Server 18. You will need the root password initially.
You should have a password for the new SSH login user ready.

Technical dependencies on host machine (Python 2.7 or 3.5+):

* python / python3
* python-pip / python3-pip
* python-apt / python3-apt

Technical dependencies on managed machines:

* python / python3

Install further dependencies on the host machine: ``pip install -r requirements.txt``

## Usage

After cloning the repo to your ansible host, copy hosts.example to hosts and 
fill the file appropriately. If you use Python 3 on the managed machine, you probably
need to adapt the ``ansible_python_interpreter`` variable.

As of now Ubuntu Server 18 installations are expected.

* initial setup: ``ansible-playbook -i hosts initial-setup.yml --ask-pass``
* collabora setup: ``ansible-playbook -i hosts collabora.yml``

